Package org.eclipse.birt.chart.model.attribute.impl

# Class URLValueImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.attribute.impl.ActionValueImpl
org.eclipse.birt.chart.model.attribute.impl.URLValueImpl

All Implemented Interfaces:
  `ActionValue`, `URLValue`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class URLValueImpl extends ActionValueImpl implements URLValue
An implementation of the model object ' URL Value'.

The following features are implemented:

- `Base Url`
- `Target`
- `Base Parameter Name`
- `Value Parameter Name`
- `Series Parameter Name`
- `Tooltip`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`URLValue`
`copyInstance()`
A convenient method to get an instance copy.
`static final URLValue`
`create(String sBaseUrl, String sTarget, String sBaseParameterName, String sValueParameterName, String sSeriesParameterName)`
A convenience method provided to create a new URLValue instance NOTE: Manually written
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`boolean`
`eIsSet(int featureID)`
`static final String`
`encode(String sText)`
Encodes portions of a URL as needed
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`String`
`getBaseParameterName()`
`String`
`getBaseUrl()`
`String`
`getSeriesParameterName()`
`String`
`getTarget()`
`String`
`getTooltip()`
`String`
`getValueParameterName()`
`void`
`setBaseParameterName(String newBaseParameterName)`
`void`
`setBaseUrl(String newBaseUrl)`
`void`
`setSeriesParameterName(String newSeriesParameterName)`
`void`
`setTarget(String newTarget)`
`void`
`setTooltip(String newTooltip)`
`void`
`setValueParameterName(String newValueParameterName)`
`String`
`toString()`

### Methods inherited from class org.eclipse.birt.chart.model.attribute.impl.ActionValueImpl

`basicSetLabel, eInverseRemove, getLabel, setLabel`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.birt.chart.model.attribute.ActionValue

`getLabel, setLabel`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getBaseUrl

public String getBaseUrl()

Specified by:
  `getBaseUrl` in interface `URLValue`
Returns:
  the value of the 'Base Url' attribute.
See Also:
  - `URLValue.setBaseUrl(String)`
  - `AttributePackage.getURLValue_BaseUrl()`

### setBaseUrl

public void setBaseUrl(String newBaseUrl)

Specified by:
  `setBaseUrl` in interface `URLValue`
Parameters:
  `newBaseUrl` - the new value of the 'Base Url' attribute.
See Also:
  - `URLValue.getBaseUrl()`

### getTarget

public String getTarget()

Specified by:
  `getTarget` in interface `URLValue`
Returns:
  the value of the 'Target' attribute.
See Also:
  - `URLValue.setTarget(String)`
  - `AttributePackage.getURLValue_Target()`

### setTarget

public void setTarget(String newTarget)

Specified by:
  `setTarget` in interface `URLValue`
Parameters:
  `newTarget` - the new value of the 'Target' attribute.
See Also:
  - `URLValue.getTarget()`

### getBaseParameterName

public String getBaseParameterName()

Specified by:
  `getBaseParameterName` in interface `URLValue`
Returns:
  the value of the 'Base Parameter Name' attribute.
See Also:
  - `URLValue.setBaseParameterName(String)`
  - `AttributePackage.getURLValue_BaseParameterName()`

### setBaseParameterName

public void setBaseParameterName(String newBaseParameterName)

Specified by:
  `setBaseParameterName` in interface `URLValue`
Parameters:
  `newBaseParameterName` - the new value of the 'Base Parameter Name' attribute.
See Also:
  - `URLValue.getBaseParameterName()`

### getValueParameterName

public String getValueParameterName()

Specified by:
  `getValueParameterName` in interface `URLValue`
Returns:
  the value of the 'Value Parameter Name' attribute.
See Also:
  - `URLValue.setValueParameterName(String)`
  - `AttributePackage.getURLValue_ValueParameterName()`

### setValueParameterName

public void setValueParameterName(String newValueParameterName)

Specified by:
  `setValueParameterName` in interface `URLValue`
Parameters:
  `newValueParameterName` - the new value of the 'Value Parameter Name' attribute.
See Also:
  - `URLValue.getValueParameterName()`

### getSeriesParameterName

public String getSeriesParameterName()

Specified by:
  `getSeriesParameterName` in interface `URLValue`
Returns:
  the value of the 'Series Parameter Name' attribute.
See Also:
  - `URLValue.setSeriesParameterName(String)`
  - `AttributePackage.getURLValue_SeriesParameterName()`

### setSeriesParameterName

public void setSeriesParameterName(String newSeriesParameterName)

Specified by:
  `setSeriesParameterName` in interface `URLValue`
Parameters:
  `newSeriesParameterName` - the new value of the 'Series Parameter Name' attribute.
See Also:
  - `URLValue.getSeriesParameterName()`

### getTooltip

public String getTooltip()

Specified by:
  `getTooltip` in interface `URLValue`
Returns:
  the value of the 'Tooltip' attribute.
See Also:
  - `URLValue.setTooltip(String)`
  - `AttributePackage.getURLValue_Tooltip()`

### setTooltip

public void setTooltip(String newTooltip)

Specified by:
  `setTooltip` in interface `URLValue`
Parameters:
  `newTooltip` - the new value of the 'Tooltip' attribute.
See Also:
  - `URLValue.getTooltip()`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `ActionValueImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `ActionValueImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `ActionValueImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `ActionValueImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### create

public static final URLValue create(String sBaseUrl, String sTarget, String sBaseParameterName, String sValueParameterName, String sSeriesParameterName)
A convenience method provided to create a new URLValue instance NOTE: Manually written

Parameters:
  `sBaseUrl` -
  `sTarget` -
  `sBaseParameterName` -
  `sValueParameterName` -
  `sSeriesParameterName` -
Returns:

### encode

public static final String encode(String sText)
Encodes portions of a URL as needed

Parameters:
  `sText` -
Returns:

### copyInstance

public URLValue copyInstance()
A convenient method to get an instance copy. This is much faster than the ECoreUtil.copy().

Specified by:
  `copyInstance` in interface `ActionValue`
Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `URLValue`
Overrides:
  `copyInstance` in class `ActionValueImpl`